
#ifndef PROCESS_H
#define PROCESS_H

#include <stdio.h>
#include <stdlib.h>

class Process
{
	int argsNum, envsNum;
	char *args[40];
	char *envs[10];
	pid_t pid;
	FILE *inStream, *outStream;
	int linePos;
	char lineStr[1024];
public:
	Process(const char *fileName, const char *outName = NULL);
	~Process();
	void addArg(const char *argStr);
	int getResult();
	const char *readLine();
	void show();
	void start(const char *workDirName = NULL);
	const char *toString(char *str);
};

#endif

